@echo off

setlocal

set ADB_PATH="%~dp0adb\adb.exe"
set ERROR_OCCURRED=false
set "PACKAGE_VERIFIER=com.ecarx.xsfinstallverifier"

:check_error
if %errorlevel% neq 0 (
    echo Ошибка при выполнении команды: %1
    set ERROR_OCCURRED=true
)

%ADB_PATH% devices
call :check_error "adb devices"

%ADB_PATH% root
if %errorlevel% neq 0 (
    echo Нет root-доступа. Некоторые команды могут не выполниться.
    set ERROR_OCCURRED=true
) else (
    for /f "tokens=*" %%i in ('%ADB_PATH% shell id -u') do set ROOT_STATUS=%%i
    if not %ROOT_STATUS%==0 (
        echo Нет root-доступа. Некоторые команды могут не выполниться.
        set ERROR_OCCURRED=true
    ) else (
        echo Root-доступ предоставлен.
    )
)

%ADB_PATH% remount
if %errorlevel% neq 0 (
    echo Команда 'remount' недоступна или не найдена. Возможно, требуется root-доступ.
    set ERROR_OCCURRED=true
)

%ADB_PATH% shell pm list packages | findstr %PACKAGE_VERIFIER%
if %errorlevel% equ 0 (
    %ADB_PATH% shell pm disable %PACKAGE_VERIFIER%
    if %errorlevel% neq 0 (
        echo Не удалось отключить пакет: %PACKAGE_VERIFIER. Он может препятствовать установке других приложений.
        set ERROR_OCCURRED=true
    ) else (
        echo Пакет %PACKAGE_VERIFIER% отключен успешно.
    )
) else (
    echo Пакет %PACKAGE_VERIFIER% не установлен. Нет необходимости отключать.
)

%ADB_PATH% shell settings put global verifier_verify_adb_installs 0
if %errorlevel% neq 0 (
    echo Ошибка: требуется разрешение android.permission.WRITE_SECURE_SETTINGS для изменения настроек.
    set ERROR_OCCURRED=true
)

%ADB_PATH% shell settings put global package_verifier_enable 0
if %errorlevel% neq 0 (
    echo Ошибка: требуется разрешение android.permission.WRITE_SECURE_SETTINGS для изменения настроек.
    set ERROR_OCCURRED=true
)

%ADB_PATH% install -g XCLauncher3.apk
%ADB_PATH% install -g EcarxBTPhone.apk
%ADB_PATH% install -g GeelyHvac.apk
%ADB_PATH% install -g GeelySettings.apk
%ADB_PATH% push NotificationApp.apk /system/app/NotificationApp/
%ADB_PATH% push SystemUI.apk /system/priv-app/SystemUI/
%ADB_PATH% shell pkill -TERM -f com.android.systemui
%ADB_PATH% push XCGallery.apk /system/app/XCGallery/
%ADB_PATH% install -g SentryMode.apk
%ADB_PATH% install -g XCMemberCenter.apk
%ADB_PATH% install -g XCMyCar.apk
%ADB_PATH% install -g XSFNotificationCenter.apk
%ADB_PATH% install -g ZeekrCarLauncher3D.apk
%ADB_PATH% shell pm clear com.zeekr.carlauncher3d
%ADB_PATH% install -g ZeekrKindMode.apk
%ADB_PATH% install -g ZeekrMediaCenter.apk
%ADB_PATH% install -g XCMedia2.apk
%ADB_PATH% install -g ZeekrCarManager.apk
%ADB_PATH% install -g ExteriorAudioPlayApp.apk
%ADB_PATH% install -g LightingShow.apk
%ADB_PATH% install -g XCDvr.apk


%ADB_PATH% kill-server
call :check_error "adb kill-server"

if %ERROR_OCCURRED%==true (
    echo Команды не выполнены по следующим причинам:
    for %%E in (ERROR_MESSAGES) do echo - %%E
    echo Вы не сможете установить часть приложений с сайта https://zeekrinfohub.ru/
) else (
    echo Операция завершена успешно.
)

pause
exit /b 0
